/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  /*===== Colors =====*/
  --hue-color: 242;
  /* HSL Color Mode */
  --skin-color: hsl(342, 92%, 46%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 85%);
  --body-color: hsl(var(--hue-color), 19%, 5%);
  --box-color: hsl(var(--hue-color), 14%, 10%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 38%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 26%);

  /*===== Font and Typography =====*/
  --body-font: "Poppins", sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
  --biggest-font-size: 3rem;
  --h1-font-size: 2.25rem;
  --h2-font-size: 1.5rem;
  --h3-font-size: 1.25rem;
  --normal-font-size: 1rem;
  --small-font-size: 0.875rem;
  --smaller-font-size: 0.813rem;

  /*===== Font Weight =====*/
  --font-medium: 500;
  --font-bold: 600;

  /*===== Margenes Bottom =====*/
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  /*===== Z Index =====*/
  --z-fixed: 10;
  --z-modal: 100;
}

/* Responsive Typography */
@media screen and (max-width: 1024px) {
  :root {
    --biggest-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.125rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
    --smaller-font-size: 0.75rem;
  }
}

/*=============== BASE ===============*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
}

h1,
h2,
h3 {
  color: var(--title-color);
  font-weight: var(--font-bold);
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
}

button {
  cursor: pointer;
}
button,
input {
  border: none;
  outline: none;
}
/*=============== LAYOUT ===============*/

.container {
  max-width: 1250px;
  margin-left: auto;
  margin-right: auto;
}
.Profile-pic {
  width: 50%;

  display: flex;
  justify-content: start;
  align-items: center;
}
.grid {
  display: grid;
}
/*=============== REUSABLE CSS CLASSES ===============*/

.section {
  padding: 3rem 0 2rem;
}
.section__title {
  text-align: center;
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-3);
}
.section__title::before {
  content: attr(data-heading);
  display: block;
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
  color: var(--skin-color);
}
/*=============== SIDEBAR ===============*/

.sidebar {
  position: fixed;
  width: 100px;
  height: 100vh;
  background-color: var(--body-color);
  border-right: 1px solid var(--box-color);
}

.nav__logo {
  position: absolute;
  left: 0;
  right: 0;
  top: 1.8rem;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--skin-color);
  text-align: center;
  margin: auto;
}

.nav__logo-text {
  font-size: 1.125rem;
  color: var(--font-bold);
  font-weight: var(--font-bold);
  line-height: 40px;
}

.nav__menu {
  position: fixed;
  transform: rotate(-90deg) translateX(-100%);
  transform-origin: left top;
  width: 100vh;
}

.menu {
  display: flex;
}
.nav__list {
  display: flex;
  flex-direction: row-reverse;
  margin: -2px auto 0 auto;
  /* align-self: center; */
}

.nav__link {
  float: right;
  height: 100%;
  line-height: 100px;
  padding: 0 1rem;
  color: var(--title-color);
  font-weight: var(--font-medium);
  position: relative;
}
.btn__share {
  position: absolute;
  bottom: 1.8rem;
  left: 0;
  right: 0;
  margin: auto;
  text-align: center;
}
.nav__toggle {
  height: 32px;
  width: 36px;
  cursor: pointer;
  position: fixed;
  right: 0.5rem;
  top: 2rem;
  font-size: 1.2rem;
  border-radius: 0.25rem;
  background-color: var(--skin-color);
  color: var(--text-color);
  display: none;
  justify-content: center;
}

.github {
  text-decoration: none;
  color: white;
}

/* Active Link */

.nav__link.active-link,
.nav__link:hover {
  color: var(--skin-color);
}
.nav__link.active-link::after,
.nav__link:hover::after {
  position: absolute;
  content: " ";
  width: 6px;
  height: 6px;
  background-color: var(--skin-color);
  border-radius: 50%;
  bottom: 1.8rem;
  left: 0;
  right: 0;
  margin: auto;
}

/*=============== MAIN ===============*/
.main {
  margin-left: 100px;
}
/*===== Home Section =====*/
.home {
  width: 100%;
  padding: 2rem;
}

.home__title,
.home__subtitle {
  font-size: var(--biggest-font-size);
  text-align: center;
}
.name__animation {
  transition: all 0.1s;
}
.name__animation {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  list-style: none;
}
.name__animation li {
  list-style: none;
  color: #484848;
  font-size: 3rem;
  letter-spacing: 15px;
  animation: lighting 3s linear infinite;
}
@keyframes lighting {
  0% {
    color: #484848;
    text-shadow: none;
  }
  20% {
    color: #484848;
    text-shadow: none;
  }
  100% {
    color: var(--skin-color);
    text-shadow: 0 0 7px #ff006f, 0 0 50px #750017;
  }
}
ul li:nth-child(1) {
  animation-delay: 0;
}
ul li:nth-child(2) {
  animation-delay: 0.1s;
}
ul li:nth-child(3) {
  animation-delay: 0.2s;
}
ul li:nth-child(4) {
  animation-delay: 0.3s;
}
ul li:nth-child(5) {
  animation-delay: 0.4s;
}
ul li:nth-child(6) {
  animation-delay: 0.5s;
}
ul li:nth-child(7) {
  animation-delay: 0.6s;
}
.home__data {
  /* text-align: center; */
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.home__subtitle {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}
.home__subtitle span {
  font-weight: 600;
  font-size: 2rem;
  color: var(--skin-color);
}
.home__description {
  max-width: 450px;
  margin-bottom: var(--mb-2);
  line-height: 2rem;
  font-weight: 100;
  letter-spacing: 2px;
  text-align: justify;
}
.home__description span {
  font-weight: 700;
  color: var(--skin-color);
}

.home__container {
  position: relative;
  height: 100%;
  align-items: center;
  margin-top: 12rem;
}

.home__social {
  position: absolute;
  top: -8.8rem;
  left: 0;
  display: flex;
  align-items: center;
  column-gap: 3.5rem;
}

.home__social-follow {
  font-weight: var(--font-medium);
  position: relative;
}

.home__social-follow::after {
  content: "";
  position: absolute;
  width: 1rem;
  height: 2px;
  background-color: var(--text-color);
  right: -45%;
  top: 50%;
}

.home__social-links {
  display: inline-flex;
  column-gap: 1rem;
}

.home__social-link {
  font-size: 1.08rem;
  color: var(--text-color);
  transition: 0.4s;
}
.home__social-link:hover {
  transform: translateY(0.25rem);
}

.my__info {
  display: flex;
  column-gap: 1.8rem;
  margin-top: 4rem;
}

.info__item {
  display: flex;
  align-items: center;
}

.info__title,
.info__subtitle {
  font-size: var(--small-font-size);
}

.info__title {
  font-weight: var(--font-medium);
}

.info__icon {
  font-size: 1.8rem;
  color: var(--skin-color);
  margin-right: var(--mb-0-75);
}
/*===== Buttons =====*/
.button {
  display: inline-flex;
  align-items: center;
  column-gap: 0.5rem;
  background-color: var(--skin-color);
  color: var(--title-color);
  padding: 0.75rem 1.4rem;
  border-radius: 0.25rem;
  font-weight: var(--font-medium);
  position: relative;
  z-index: 1;
}

.button::after {
  position: absolute;
  content: "";
  left: 5%;
  top: 0;
  width: 95%;
  height: 100%;
  background-color: #343a40;
  z-index: -1;
  transform-origin: center;
  transform: scale(0);
  border-radius: 0.25rem;
  transition: 0.3s;
}

.button:hover::after {
  transform: scale(1);
}

.button__icon {
  font-size: 1.25rem;
}
/*===== About Section =====*/

.about__container {
  grid-template-columns: repeat(2, 1fr);
  column-gap: 4rem;
  align-items: center;
}

.about__img {
  width: 425px;
  border-radius: 0.75rem;
  justify-self: center;
}
.about__heading {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-75);
}

.about__description {
  text-align: justify;
  padding-right: 6rem;
  margin-bottom: var(--mb-2);
}

.about__info {
  display: grid;
  grid-template-columns: repeat(3, 140px);
  margin-bottom: var(--mb-3);
  column-gap: 0.5rem;
}

.about__box {
  text-align: center;
  border-radius: 0.25rem;
  padding: 1rem 1.25rem;
  border-radius: 0.25rem;
  background-color: var(--box-color);
}
.about__icon {
  font-size: 1.5rem;
  color: var(--skin-color);
  margin-bottom: var(--mb-0-75);
}
.about__title {
  font-family: var(--small-font-size);
}
/*===== Qualification Section =====*/

.qualification__container {
  grid-template-columns: repeat(2, 1fr);
  column-gap: 3rem;
  justify-content: center;
}
.education {
  width: fit-content;
  margin: 0 auto;
}
.experience {
  width: fit-content;
  margin: 0 auto;
}
.qualification__title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-2-5);
}
.timeline__item {
  position: relative;
  padding-left: 3rem;
  margin-bottom: var(--mb-2-5);
}

.timeline__item h6 {
  margin-bottom: 0.6rem;
  margin-top: 0.6rem;
  font-size: 0.855rem;
  text-align: justify;
  font-weight: 200;
  line-height: 1.4rem;
}
.timeline__item:last-child {
  margin-bottom: 0;
}

.timeline__item::before {
  content: "";
  width: 1px;
  position: absolute;
  left: 0.48rem;
  top: 0;
  height: 100%;
  background-color: var(--skin-color);
}

.circle__dot {
  position: absolute;
  left: 0;
  top: 0;
  height: 1rem;
  width: 1rem;
  border: 2px solid var(--skin-color);
  border-radius: 50%;
  background-color: var(--skin-color);
  transition: 0.3s;
}

.timeline__item:hover .circle__dot {
  background-color: var(--body-color);
}

.timeline__title {
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-1);
}

.timeline__date {
  display: flex;
  align-items: center;
  column-gap: 0.4rem;
  font-size: var(--small-font-size);
  color: var(--skin-color);
}
/*===== Skills Section =====*/
.skills__container {
  grid-template-columns: 360px 320px;
  column-gap: 3rem;
  justify-content: center;
}

.skills__header {
  display: flex;
  align-items: center;
  cursor: pointer;
}

.skills__header:not(:last-child) {
  margin-bottom: var(--mb-2-5);
}
.skills__icon,
.skills__arrow {
  font-size: 2rem;
  color: var(--skin-color);
}

.skills__icon {
  margin-right: var(--mb-0-75);
}

.skills__title {
  font-size: var(--h3-font-size) 0;
  font-weight: var(--font-medium);
}

.skills__subtitle {
  font-size: var(--small-font-size);
}

.skills__arrow {
  margin-left: auto;
}

.skills__active .skills__arrow {
  transform: rotate(-90deg);
  transition: 0.3s;
}
.skills [data-content] {
  display: none;
}

.skills__list {
  row-gap: 1.8rem;
}
.skills__titles {
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-0-25);
}

.skills__active[data-content] {
  display: block;
}

.skills__name {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills__bar,
.skills__percentage {
  height: 5px;
  border-radius: 0.25rem;
}

.skills__percentage {
  display: block;
  background-color: var(--skin-color);
}

/*===== Work Section =====*/

.work__container {
  grid-template-columns: repeat(3, 330px);
  gap: 1.8rem;
  justify-content: center;
  padding: 1rem;
}

.work__filters {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 0.75rem;
  margin-bottom: 2rem;
}

.work__item {
  cursor: pointer;
  color: var(--title_color);
  padding: 0.25rem 0.75rem;
  border-radius: 0.5rem;
}

.portfolio__item-details {
  display: none;
}

.work__img {
  border-radius: 0.5rem;
  margin-bottom: var(--mb-1);
  transition: 0.3s;
  overflow: hidden;
}
.work__img:hover {
  transform: scale(1.1);
}
.work__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-5);
}

.work__button {
  color: var(--skin-color);
  font-size: var(--small-font-size);
  display: flex;
  align-items: center;
  column-gap: 0.25rem;
  cursor: pointer;
}

.work__button-icon {
  font-size: 1rem;
  transition: 0.3s;
}

.work__button:hover .work__button-icon {
  transform: translateX(0.25rem);
}
/* Active Item Work */

.active_work {
  background-color: var(--skin-color);
  color: var(--title-color);
  font-weight: var(--font-bold);
}
/* Portfolio Popup */

.portfolio__popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0;
  visibility: hidden;
  transition: 0.4s ease-out;
  transform-origin: left;
}

.portfolio__popup-inner {
  background-color: var(--box-color);
  width: 900px;
  border-radius: 0.5rem;
  padding: 2.5rem;
  position: relative;
}

.portfolio__popup-content {
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  column-gap: 3rem;
}
.portfolio__popup.open {
  opacity: 1;
  visibility: visible;
}

.portfolio__popup-close {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
  font-size: 1.5rem;
  color: var(--skin-color);
  cursor: pointer;
}

.portfolio__popup-img {
  border-radius: 0.5rem;
}

.portfolio__popup-subtitle {
  font-size: var(--smaller-font-size);
  margin-bottom: var(--mb-0-25);
}

.details__title {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1);
}

.details__description {
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-2);
  font-weight: 200;
  text-align: justify;
}

.details__info li {
  margin-bottom: var(--mb-0-75);
  text-transform: var(--smaller-font-size);
  font-size: var(--small-font-size);
  font-weight: 700;
}
.details__info li span a {
  text-transform: capitalize;
}

.details__info li:last-child {
  margin-bottom: 0;
}

.details__info li span {
  font-weight: normal;
}

.details__info li a {
  text-transform: lowercase;
  color: var(--skin-color);
}
/*===== Services Section =====*/

/* Active Modal*/

/*===== Achievements =====*/

.achievement__container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 0 auto;
}

.awardName {
  text-align: center;
  margin-bottom: 1rem;
  color: var(--skin-color);
  border-radius: 8px;
  padding: 0.4rem 0px;
  font-weight: 600;
}

.achievement__list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50dvw;
  text-align: center;
}
.event__type {
  margin-top: 1rem;
}

.event__name {
  color: var(--skin-color);
  font-weight: 300;
}
.event__level {
  margin-bottom: 0.3rem;
  margin-top: 0.3rem;
  font-weight: 700;
}
.event__type ul li {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
  font-size: 1rem;
}
.event__type ul li span {
  width: 150px;
  text-align: center;
}

.publication__name {
  font-weight: 500;
  margin-bottom: 0.3rem;
  margin-top: 0.6rem;
}
.publication__name span {
  font-weight: 700;
}
.topic {
  font-weight: 900;
  margin-bottom: 0.3rem;
}

.category span {
  font-weight: 700;
}

/* Swiper Class */

/*===== Contact Section =====*/
.contact__container {
  grid-template-columns: 300px 340px;
  column-gap: 3rem;
  justify-content: center;
  align-items: center;
}

.contact__info {
  display: grid;
  row-gap: 1rem;
}

.contact__card {
  background-color: var(--box-color);
  padding: 1rem;
  border-radius: 0.5rem;
  text-align: center;
}

.contact__card-icon {
  font-size: 1.8rem;
  color: var(--title-color);
  margin-bottom: var(--mb-0-25);
}

.contact__card-title,
.contact__card-date {
  font-size: var(--small-font-size);
}

.contact__card-title {
  font-weight: var(--font-medium);
}

.contact__card-data {
  display: block;
  margin-bottom: var(--mb-0-75);
}

.contact__button {
  color: var(--skin-color);
  font-size: var(--small-font-size);
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 0.25rem;
  cursor: pointer;
}

.contact__button-icon {
  font-size: 1rem;
  transition: 0.3s;
}

.contact__button:hover .contact__button-icon {
  transform: translateX(0.25rem);
}

.input__container {
  position: relative;
  margin-top: 0.1rem;
  margin-bottom: 1.9rem;
}

.input {
  width: 100%;
  border: 2px solid var(--text-color);
  background-color: transparent;
  padding: 0.6rem 1.2rem;
  color: var(--title-color);
  font-weight: var(--font-medium);
  font-size: var(--normal-font-size);
  letter-spacing: var(--normal-font-size);
  letter-spacing: 0.5px;
  border-radius: 0.5rem;
  transition: 0.3s;
}

textarea.input {
  padding: 0.8rem 1.2rem;
  min-height: 140px;
  border-radius: 0.5rem;
  resize: none;
}

.input__container label {
  position: absolute;
  top: 50%;
  left: 1rem;
  transform: translateY(-50%);
  padding: 0 0.4rem;
  color: var(--text-color);
  font-size: 1rem;
  font-weight: var(--font-medium);
  pointer-events: none;
  transition: 0.4s;
  z-index: 0;
}

.input__container.textarea label {
  top: 1rem;
  transform: translateY(0);
}

.input__container span {
  position: absolute;
  top: 0;
  left: 25px;
  color: transparent;
  transform: translateY(-50%);
  font-size: var(--small-font-size);
  padding: 0 0.4rem;
  pointer-events: none;
  z-index: 15;
}

.input__container span::before,
.input__container span::after {
  content: "";
  position: absolute;
  width: 10%;
  opacity: 0;
  height: 5px;
  background-color: var(--body-color);
  top: 50%;
  transform: translateY(-50%);
  transition: 0.3s;
}
.input__container span::before {
  left: 50%;
}
.input__container span::after {
  right: 50%;
}

.input__container.focus label {
  top: 0;
  transform: translateY(-50%);
  left: 25px;
  font-size: var(--smaller-font-size);
  z-index: 500;
}

.input__container.focus span::before,
.input__container.focus span::after {
  width: 50%;
  opacity: 1;
}
z

/*=============== CUSTOM SCROLL BAR ===============*/

::-webkit-scrollbar {
  width: 0.6rem;
  background-color: var(--scroll-bar-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: 0.5rem;
}

/*========== BREAKPOINTS ==========*/

/* For Large Devices */
@media screen and (max-width: 1300px) {
  .achievement__container {
    flex-direction: column-reverse;
    max-width: 80rem;
  }

  .achievement__list {
    display: block;
    max-width: 60rem;
    margin: 0 auto;
  }
  .imgScroll__container {
    margin-left: 0px;
    max-width: 400px;
    margin: 0 auto;
  }
  .imgScroll__slide {
    max-width: 400px;
    margin: 0 auto;
    position: relative;
  }
  .imgScroll__slide img {
    max-width: 400px;
    display: block;
    margin: 0 auto;
  }
  .prevButton,
  .nextButton {
    font-weight: 800;
    font-size: 2rem;
  }
}
@media screen and (max-width: 1024px) {
  .container {
    margin-left: var(--mb-0-25);
    margin-right: var(--mb-0-25);
  }
  .nav__logo {
    display: none;
  }
  .btn__share {
    display: none;
  }
  .sidebar {
    padding: 0;
    margin: 0;
    width: 100%;
    z-index: 1;
    transform: translateX(-100%);
    transition: 0.5s;
  }
  .show-sidebar {
    transform: translateX(0);
  }
  .nav__logo,
  .btn__share {
    display: none;
  }

  /* Changing from here */

  .nav__menu {
    position: relative;
    transform: rotate(0deg);
    transform-origin: center;
    width: 100vw;
  }
  .nav__toggle {
    display: flex;
    right: 5rem;
    z-index: 99999;
  }
  .menu {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 100dvh;
  }
  .nav__list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .main {
    margin-left: 0;
  }
  .home__data img {
    width: 575px;
  }
  .about__container {
    grid-template-columns: 1fr;
    row-gap: 2.5rem;
  }
  .about__img {
    width: 300px;
    margin: 0 auto;
  }

  .about__data {
    text-align: center;
    padding: 0 1rem;
  }
  .about__data .about__heading {
    padding: 0 1rem;
    text-align: center;
  }
  .about__info {
    justify-content: center;
  }
  .about__box {
    padding: 0.75rem 0.5rem;
  }
  .about__description {
    padding: 0 2rem;
    text-align: justify;
  }
  .skills__container {
    grid-template-columns: 340px 300px;
  }
  .qualification__container {
    grid-template-columns: repeat(2, 290px);
  }
  .skills__list {
    row-gap: 1.7rem;
  }
  .work__card {
    padding: 1rem;
  }
  .work__img {
    margin-bottom: var(--mb-0-75);
  }
  .work__title {
    margin-bottom: var(--mb-0-25);
  }

  .portfolio__item-details {
    margin-bottom: var(--mb-1-5);
  }
  .details__info li {
    margin-bottom: var(--mb-0-5);
  }

  .details__title {
    margin-bottom: var(--mb-0-75);
  }
  .work__container {
    grid-template-columns: repeat(2, 330px);
    gap: 1.8rem;
    justify-content: center;
    padding: 1rem;
  }
  .button {
    z-index: inherit;
  }
}

@media screen and (max-width: 768px) {
  .home__data {
    /* text-align: center; */
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    align-items: center;
  }

  .home__data img {
    width: 475px !important;
  }
  .about__img {
    width: 250px;
  }
  .home_personal_detail {
    text-align: center;
  }

  .home__description span {
    font-weight: 700;
    color: var(--skin-color);
  }
  .qualification__container {
    grid-template-columns: 80dvw;
    row-gap: 3rem;
  }
  .qualification section {
    width: 100dvw;
  }
  .education {
    min-width: 80dvw;
  }
  .experience {
    padding: 0;
    margin: 0;
    min-width: 60dvw;
  }
  .timeline__item h6 {
    margin-bottom: 0.6rem;
    margin-top: 0.6rem;
    font-size: 0.8rem;
  }

  .skills__container {
    grid-template-columns: 300px;
    row-gap: 3rem;
  }
  .work__container {
    grid-template-columns: 330px;
  }
  .contact__container {
    grid-template-columns: 360px;
    row-gap: 3rem;
  }
  .pp__thumbnail {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .pp__thumbnail img {
    display: block;
    width: 175px;
    position: relative;
  }

  .portfolio__popup-inner {
    width: 420px;
    padding: 2.8rem 1.5rem 2.5rem;
  }

  .portfolio__popup-content {
    grid-template-columns: 1fr;
    row-gap: 1.6rem;
  }
  .details__title {
    font-size: var(--normal-font-size);
  }
  .portfolio__popup-close {
    top: 0.5rem;
  }
  .achievement__list {
    width: 90dvw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .achievement__list ul li {
    font-size: 0.8rem;
  }

  .home__container {
    margin-top: 5rem;
  }

  .section {
    padding: 2rem 0 1rem;
  }
}

@media screen and (max-width: 576px) {
  .home__title,
  .home__description {
    margin-bottom: 1rem;
  }

  .home__description {
    text-align: center;
  }
  .home__description span {
    font-weight: 700;
    color: var(--skin-color);
  }

  .nav__toggle {
    right: inital;
    left: 2rem;
    z-index: 2;
  }

  .home__social {
    left: initial;
    right: -2.3rem;
    flex-direction: column;
    row-gap: 3.5rem;
    margin-top: 5rem;
  }
  .home__social-follow {
    font-size: var(--smaller-font-size);
    transform: rotate(90deg);
  }
  .home__social-links {
    flex-direction: column;
    row-gap: 0.25rem;
  }
  .home__social-link {
    font-size: var(--normal-font-size);
  }
  .about__info {
    grid-template-columns: repeat(3, 100px);
    column-gap: 1.5rem;
    margin: 0 auto;
  }

  .about__box {
    text-align: center;
    border-radius: 0.25rem;
    padding: 0.2rem 0.2rem;
    background-color: var(--box-color);
    font-size: smaller;
    margin-bottom: 1.8rem;
  }
  .my__info {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
    row-gap: 1rem;
  }
  .info__item {
    flex-direction: column;
    text-align: center;
  }
}
